---
title: Sample Post
description: "published: falseに設定された投稿には赤枠が付きます"
thumbnail: 
emoji: ✍️
date: 2024-12-17
category: 
tags: [tag]
index: false
published: false
---


# Header1
h1はタイトルに使用するため、本文での使用は非推奨です。

## Header2
見出しはh2から使用

### Header3
h3以降にラベルはつきません

#### Haeder4
h4以降は目次に入りません

## Looooooooooooooong headeeeeeeeeeeeeeer
loooongなヘッダーは目次で省略されます


### text sample
あのイーハトーヴォのすきとおった風、夏でも底に冷たさをもつ青いそら、うつくしい森で飾られたモリーオ市、郊外のぎらぎらひかる草の波。

ABCDEFGHIJKLMNOPQRSTUVWXYZ
abcdefghijklmnopqrstuvwxyz
-123456789.0

❤️⭐️👍😀👀🌵

---

### effect
**Bold**
*Italic*
~~strike through~~
`inline code`
$e = mc^2$
[hyperlink](https://mi.moris.day/@moris)

---

### Quotes
> **2922億7702万6596年問題** 
> 64ビット符号つきUNIXシステムの上限は292277026596年12月4日15時30分7秒まで。ただし、2013年時点では宇宙の年齢は137億年程度と考えられている。\
> https://ja.wikipedia.org/w/index.php?title=年問題&oldid=85988153

---

### Alert
> [!NOTE]  
> Highlights information that users should take into account, even when skimming.

> [!TIP]
> Optional information to help a user be more successful.

> [!IMPORTANT]  
> Crucial information necessary for users to succeed.

> [!WARNING]  
> Critical content demanding immediate user attention due to potential risks.

> [!CAUTION]
> Negative potential consequences of an action.

---

### List
- iPod
- iPhone
- iPad
- Macintosh
  - Macbook
    - Macbook Air
    - Macbook Pro
  - iMac
  - Mac mini
- AirPods

1. 砂糖
1. 塩
1. 酢
1. 醤油
1. ソース

---

### Checkbox
- [ ] タスク1
- [x] タスク2

---

### Syntax highlight
```c
#include <stdio.h>

main( )
{
  printf("hello, world\n");
}
```

---

### Details

<details open>
<summary> hidden text </summary>
この部分は非表示にすることができます。

```html
<details open> <!-- openをつけるとデフォルトで表示 -->
<summary> ここに説明 </summary>
ここに文章
</details>
```
</details>

---

### Table

|        Model      |    RAM    |   Clock  |
|-------------------|-----------|----------|
| RaspberyPi Zero 2 | 512MB     |  1GHz    |
| RaspberyPi 3 B    | 1GB       |  1.2GHz  |
| RaspberyPi 3 B+   | 1GB       |  1.4GHz  |
| RaspberyPi 4      | 1,2,4,8GB |  1.8GHz  |
| RaspberyPi 5      | 2,4,8,16GB|  2.5GHz  |

---

### 注釈
hello[^1]

[^1]: world!

---

### Image
![クチナシの実の写真](https://moris.day/files/img/IMG_1523.avif)
クチナシの実

---

### Video
```html
<video src="https://example.com/movie.mp4" poster="https://example.com/thumbnail.jpg" preload="none" controls></video>
```
- src="File URL"
- poster="Thumbnail URL"
- autoplay
- controls
- loop

<video src="https://moris.day/files/video/RickAstley.mp4" poster="https://moris.day/files/video/RickAstley_thumbnail.jpg" preload="none" controls loop></video>

---

### iframe

#### Youtube
<iframe src="https://youtube.com/embed/G7NU3KQ4fAw?controls=0&rel=0&modestbranding=1&showinfo=0"></iframe>

#### Misskey
<iframe src="https://mi.moris.day/embed/notes/9w7bnfw72b5z0007" data-misskey-embed-id="v1_6bae2dfb-1521-4980-b1dc-4fb9ae5a5d98" loading="lazy" referrerpolicy="strict-origin-when-cross-origin" style="border: none; width: 100%; max-width: 500px; height: 300px; color-scheme: light dark;"></iframe>
<script defer src="https://mi.moris.day/embed.js"></script>

---

### Code frame

<iframe src=https://moris.day/blog/code/hello.html allow="fullscreen"></iframe>

---

### Tex
二次方程式の解の公式
$$
x = \frac{-b\pm \sqrt{b^2-4ac}}{2a}
$$

$Na_2CO_3$の熱分解
$$
2 NaHCO_3 \to Na_2CO_3 + H_2O + CO_2
$$

---