---
title: 15000円のミニPCを買ったらWindows11正規ライセンスがついてきた
description: Windows嫌いなのに自分が買った激安ミニPC、全て正規ライセンスという謎
thumbnail: https://moris.day/files/img/IMG_0424.avif
emoji: 
date: 2025-04-06
category: Review
tags: [ミニPC, Windows]
index: true
published: true
---


Amazonの密林でミニPCウォッチングを定期的にしているのですが、以前から気になっていたミニPCを購入しました。

## 謎のタブレットメーカー
今回買ったのはHitabtのM30AというミニPCです。
このHitabtという読み方不明(ヒタブト?)のメーカーはAndoroidタブレットなどを販売している中国のメーカーのようで、Youtubeにも多くのレビュー動画が上がっています。そこがミニPCも始めたといった感じでしょうか。

価格は20000円、ときどき17000円と、普通に安いけどN100としてはたまにあるくらいですが、注目すべきはスペックです。

|       |            |
|-------|------------|
|  CPU  | Intel N100 |
| メモリ |    16GB    |
|  SSD  |    512GB   |
|  OS   |    なし？   |

なんとこのミニPC、２万円以下でメモリ16GB、SSD512GBを搭載しているのです。他の1万円台で買えるミニPCではメモリ8GB、SSD256GB、もしくはそれ以下なので相当な激安と言えます。
商品名にWindows11 Homeと書いておきながら画像にはライセンスは付属してないと書かれていますが、いずれにせよLinux使いの私は「Windows無しにしてその分安くしてくれ！！」と思っていたのでむしろ嬉しい話です。

しかし、このM30A、激安の割にあまり話題になっておらず、ガジェオタレビューはおろかSNSでの購入報告すら見当たりません。さらに[公式ホームページ？](https://hitabt.com)にさえ掲載されておらず謎が多いです。

微妙な怪しさがあるため欲しいものリストに追加したまま買うのを躊躇していたのですが、ある日突然、タイムセールで価格が15000円まで下がりました。ブラックフライデーなどではなく本当に突然です。

![Amazonで15000円のミニPCのスクリーンショット](https://moris.day/files/img/ScreenShot_2025-01-24_16.22.16.avif)

**これが？？？15000円？？？**
**N100 メモリ16GB SSD512GBで？？**

あまりの衝撃に怪しさを全て忘れて買ってしまいました。人はこうやって詐欺にかかるんだなぁ。



## 到着
とりあえずびっくりしたのはパッケージや取扱説明書の日本語が流暢なんです。フォントも怪レい日本语ではなくきちんとしたものです。(RFモーターがどうたら言ってる部分がありますが)

![](https://moris.day/files/img/IMG_0537.avif)

外観はAmazonの写真の通りでなかなか良いです。プラスチック筐体ですが、N100の発熱を考えれば問題ないと思います。

持ち上げてみると、とにかく軽い、中身入ってんのか？ってくらい。ノートPCじゃないので軽いと安定性が悪くてむしろ使いづらいですが。
本体の重さを量ると300g弱とiPad mini程です。

![](https://moris.day/files/img/m30a.avif)
全面と背面のポート



## 付属品
- ACアダプタ 12V 3A
- HDMIケーブル 1mくらい
- VESAマウンタ
- 取扱説明書

保証書も入ってるらしいですが、見当たりませんでした。🫤



## 起動してみる
![起動画面](https://moris.day/files/img/IMG_0559.avif)
起動画面

商品説明にWindowsのライセンスは付属しないと書かれていたので空のSSDが入っていると思っていましたが、起動するとWindows11が立ち上がりました。(写真を撮り忘れましたが...)

Windowsには詳しくないのでLinuxのLive環境で調べてみます。

![](https://moris.day/files/img/screenshot_m30a_info.avif)

Modelがdefault stringじゃない！！
起動画面の時点で感じてましたが、安い割にかなりしっかり作られています。



## 内部
![](https://moris.day/files/img/IMG_0536.avif)

SSD、メモリは共にCasperという謎ブランドです。

メモリスロットは一つしかないですが、すでにN100の最大容量の16GBなので交換することはなさそう。

このミニPCの最大の欠点はSSDがSATAなことでしょう。N100ならSATAで十分な気もしますが、NVMe SSDを挿しても認識しなかったので注意。



## その他
- PD給電不可(65W充電器で確認)
- USB-C 映像出力 可



## Windowsライセンス
ライセンス無しと書いてありましたが、Windowsがインストールされてたので一応ライセンスを確認してみます。

![](https://mi.moris.day/files/5f518f29-699e-41a4-b5a7-17433d75ea17)

だいぶまさかのOEMライセンス
15000円でどうやって利益出してるんですかね。

ただ、このミニPCはラズパイサーバーからのお引越し先として使うので、このWindowsくんは抹殺します。
(ディスクフォーマット&AmlaLinuxをインストール!!)
そうして生まれ変わったM30Aくん。これからLinuxサーバーとして24時間365日しっかり働いていただきます。



## 追記 - 消えました

実はこのPCを買ってから2ヶ月ほど放置してしていたのですが、今商品ページを見ようとしたところページごと消えていました。
よくある話ですが、こういう供給の不安定さはミニPCの弱点ですよね。それもまた楽しいのですが。

![](https://moris.day/files/img/ScreenShot_2025-03-30_23.24.00.avif)

ということで誰の役にも立たないことが確定したミニPCレビューでした。
